Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"folderPath": "<string>",
"scope": "organization"
}
'{
"success": true
}Move document to new folder or change scope
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"folderPath": "<string>",
"scope": "organization"
}
'{
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the document to move. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.
The path of the destination folder. Use null to move the document to the root level (no folder).
Optional sharing scope for the document:
organization - Organization-wide accessrestricted - Limited accessIf not provided, the scope will be computed based on the document or the destination folder.
Note: When providing a scope, it must match the destination folder's scope.
organization, restricted Document moved successfully
true
Was this page helpful?